PaidGoods

Upload a new version while preserving earlier buyer entitlements

POST
/v1/stores/{storeId}/files/{fileId}/versions

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
fileId*string

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/files/string/versions"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "filename": "string",  "size": 0,  "contentType": "string",  "checksum": "string",  "usedByVariantIds": [    "49449fc8-8508-4534-9e99-c42cfb205b21"  ],  "logicalFileId": "5d97f8f5-a8ab-4ffa-81a3-ca32628b6f2a",  "version": -9007199254740991,  "createdAt": "string"}